//
// JmsaXAConnection.java - JMS Adapter XAConnection
//

package nyangau.jmsadapter;

import javax.jms.*;

public class JmsaXAConnection extends JmsaConnection implements XAConnection
  {
//...sJmsaXAConnection:2:
public JmsaXAConnection(XAConnection conn, FlowProcessor flowproc)
  { super(conn, flowproc); }
//...e
//...screateXASession:2:
public XASession createXASession()
  throws JMSException
  {
  JmsaXASession s = new JmsaXASession( ((XAConnection)c).createXASession(), this, fp );
  ss.add(s);
  return s;
  }
//...e
  }
